# Uses of Class
net.shibboleth.idp.authn.principal.PasswordPrincipal

Packages that use PasswordPrincipal
Package
Description
net.shibboleth.idp.authn.principal
Classes supporting Java `Principal` usage.

## Uses of PasswordPrincipal in net.shibboleth.idp.authn.principal

Methods in net.shibboleth.idp.authn.principal that return PasswordPrincipal
Modifier and Type
Method
Description
`PasswordPrincipal`
PasswordPrincipal.`clone()`
Creates and returns a copy of this object.